cURL
curl --request GET \ --url https://us.infisical.com/api/v1/app-connections/azure-client-secrets/{connectionId}
{ "appConnection": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "app": "azure-client-secrets", "method": "oauth", "credentials": { "tenantId": "<string>" }, "description": "<string>", "version": 1, "isPlatformManagedCredentials": false, "gatewayId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "projectId": "<string>", "isAutoRotationEnabled": false, "rotation": { "rotationInterval": 123, "rotationStatus": "success", "rotateAtUtc": { "hours": 123, "minutes": 123 }, "lastRotationMessage": "<string>", "nextRotationAt": "2023-11-07T05:31:56Z" }, "credentialsHash": "<string>", "project": { "name": "<string>", "id": "<string>", "type": "<string>", "slug": "<string>" } } }
Get the specified Azure Client Secrets Connection by ID.
Documentation IndexFetch the complete documentation index at: https://infisical.com/docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://infisical.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
The ID of the Azure Client Secrets Connection to retrieve.
Default Response
Show child attributes
Was this page helpful?